Bug 1476620 - fc25 kernel listed above fc26 kernel in grub menu so that system defaults to older kernel
fc25 kernel listed above fc26 kernel in grub menu so that system defaults to ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 16:49 EDT by fedbugzilla
Modified: 2018-05-03 04:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Listing of files in boot directory (3.74 KB, text/plain)
2017-07-30 16:49 EDT, fedbugzilla
no flags Details

  None (edit)
Description fedbugzilla 2017-07-30 16:49:00 EDT
Created attachment 1306697 [details]
Listing of files in boot directory

fc25 kernel listed above fc26 kernel in grub menu so that system defaults to older kernel.
My last fc25 kernel was vmlinuz-4.11.12-200-fc25.x86_64. This seems to be recognised by grub (or whichever component writes the grub menu or grub.cfg) as a later kernel than my fc26 kernel which is vmlinuz-4.11.11-300-fc26.x86_64. It looks like 4.11.12 is 'seen' as later than 4.11.11 and the Fedora release number disregarded.


Version-Release number of selected component (if applicable):
grub2-2.02-0.40.fc26.src.rpm

How reproducible:
Unknown as only seen after upgrading major version.

Steps to Reproduce:
1. Upgrade from Fedora 25 to Fedora 26 when fc 26 kernel number 'appears' lower than fc 25 kernel number (2017-07-29 in my case) 
2. Reboot


Actual results:
Grub defaults to an fc25 kernel

Expected results:
fc 26 kernel should be preferred to any kernels from previous major release

Additional info:
(Apologies if this is irrelevant - I don't report much so I'll err on the side of including too much).
I upgraded from Fedora 25 to Fedora 26 using the GUI Software (PackageKit?) option. Upgrade proceeded well and I came back to a log in prompt. I should probably say that at this stage the evidence is that I WAS using the one installed fc 26 kernel (see below).
I probably would not have noticed the kernel issue except that I tried installing a different Plymouth theme. Rebooting several times kept displaying the 'old' boot animation (despite use of dracut -f).
Checking which initramfs was being updated alerted me to the fact that I had a bunch of old kernels in the boot directory (at time I thought this was significant, but now I think it may be a red herring). That said, I had some 'Rescue' kernels and dracut was rebuilding an initrd in a directory with a 32 char alphanumeric string from one of these rescue kernels (renamed as zzz... in listing of boot attached).
Thinking about specifying an initramfs to be rebuilt led me to the uname command which is when I realised I'd booted into an fc25 kernel. Manually selecting the fc26 kernel in grub during boot gave the expected 'new' Plymouth theme straight away which I why I believe that the upgrade process had booted into the one fc26 kernel available (and dracut rebuilt the correct initramfs).

I am currently selecting the correct kernel manually rather than overwriting the 'use latest kernel' in expectation that an fc26 kernel will at some point be 'seen' as latest.  
The zzz... directory contained just one subdirectory named 4.11.11-300-fc26.x86_64 which contained just one file, an initrd which was updated by dracut? grub-mkconfig? Sorry, can't be more accurate.
Comment 1 fedbugzilla 2017-09-03 16:40:50 EDT
Grub menu now has three entries of 
4.12.9-300-fc26.x86_64
4.11.12-200-fc25.x86_64
4.11.11-300-fc26.x86_64

so theory that the symptom will be cured by later kernels seems to have been borne out. Although it does look like there is a minor oddity as to how a more recent kernel is identified when kernels from more than one major version are present.
Comment 2 Fedora End Of Life 2018-05-03 04:30:17 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.